## ii 1.1

=== Makefile ===
# ii - irc it - simple but flexible IRC client
#   (C)opyright MMV-MMVII Anselm R. Garbe, Nico Golde

include config.mk

SRC      = ii.c
OBJ      = ${SRC:.c=.o}

all: options ii
	@echo built ii

options:
	@echo ii build options:
	@echo "LIBS     = ${LIBS}"
	@echo "INCLUDES = ${INCLUDES}"
	@echo "CFLAGS   = ${CFLAGS}"
	@echo "LDFLAGS  = ${LDFLAGS}"
	@echo "CC       = ${CC}"

.c.o:
	@echo CC $<
	@${CC} -c ${CFLAGS} $<

dist: clean
	@mkdir -p ii-${VERSION}
	@cp -R query.sh Makefile README FAQ LICENSE config.mk ii.c ii.1 ii-${VERSION}
	@tar -cf ii-${VERSION}.tar ii-${VERSION}
	@gzip ii-${VERSION}.tar
	@rm -rf ii-${VERSION}
	@echo created distribution ii-${VERSION}.tar.gz

ii: ${OBJ}
	@echo LD $@
	@${CC} -o $@ ${OBJ} ${LDFLAGS}

install: all
	@mkdir -p ${DESTDIR}${DOCDIR}
	@mkdir -p ${DESTDIR}${BINDIR}
	@mkdir -p ${DESTDIR}${MAN1DIR}

	@install -d ${DESTDIR}${BINDIR} ${DESTDIR}${MAN1DIR}
	@install -m 644 README query.sh FAQ LICENSE ${DESTDIR}${DOCDIR}
	@install -m 775 ii ${DESTDIR}${BINDIR}
	@install -m 444 ii.1 ${DESTDIR}${MAN1DIR}
	@echo "installed ii"

uninstall: all
	@rm -f ${DESTDIR}${MAN1DIR}/ii.1
	@rm -rf ${DESTDIR}${DOCDIR}
	@rm -f ${DESTDIR}${BINDIR}/ii
	@echo "uninstalled ii"

clean:
	rm -f ii *~ *.o *core

## ii 1.6

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
 # ii - irc it - simple but flexible IRC client
+#   (C)opyright MMV-MMVI Anselm R. Garbe
 #   (C)opyright MMV-MMVII Anselm R. Garbe, Nico Golde
 
 include config.mk
@@ -23,7 +24,7 @@
 
 dist: clean
 	@mkdir -p ii-${VERSION}
-	@cp -R query.sh Makefile README FAQ LICENSE config.mk ii.c ii.1 ii-${VERSION}
+	@cp -R query.sh Makefile CHANGES README FAQ LICENSE config.mk ii.c ii.1 ii-${VERSION}
 	@tar -cf ii-${VERSION}.tar ii-${VERSION}
 	@gzip ii-${VERSION}.tar
 	@rm -rf ii-${VERSION}
@@ -39,7 +40,7 @@
 	@mkdir -p ${DESTDIR}${MAN1DIR}
 
 	@install -d ${DESTDIR}${BINDIR} ${DESTDIR}${MAN1DIR}
-	@install -m 644 README query.sh FAQ LICENSE ${DESTDIR}${DOCDIR}
+	@install -m 644 CHANGES README query.sh FAQ LICENSE ${DESTDIR}${DOCDIR}
 	@install -m 775 ii ${DESTDIR}${BINDIR}
 	@install -m 444 ii.1 ${DESTDIR}${MAN1DIR}
 	@echo "installed ii"
@@ -51,4 +52,4 @@
 	@echo "uninstalled ii"
 
 clean:
-	rm -f ii *~ *.o *core
+	rm -f ii *~ *.o *core *.tar.gz

=== debian/changelog ===
ii (1.6-1) unstable; urgency=low

  * New upstream release.

 -- Nico Golde <nion@debian.org>  Mon, 31 Jan 2011 21:48:11 +0100

ii (1.5-1) unstable; urgency=low

  * New upstream release.
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump policy version, no changes needed
  * Use paragraphs rather than asterisks in NEWS.Debian

 -- Nico Golde <nion@debian.org>  Wed, 26 Jan 2011 12:15:37 +0100

ii (1.4-3) unstable; urgency=low

  * Replace echo with printf in query.sh so it doesn't need
    to rely on the XSI extension of SuSv3 (Closes: #530976).

 -- Nico Golde <nion@debian.org>  Mon, 01 Jun 2009 13:40:33 +0200

ii (1.4-2) unstable; urgency=low

  * Remove unneeded bashism in query script (Closes: #530103).
  * Small copyright adjustments, nothing worth to mention.
  * Bump policy version, no changes needed.
  * Use dh_prep rather than dh_clean -k in debian/rules.

 -- Nico Golde <nion@debian.org>  Sat, 23 May 2009 17:19:37 +0200

ii (1.4-1) unstable; urgency=low

  * New upstream release.

 -- Nico Golde <nion@debian.org>  Sat, 09 Aug 2008 13:48:56 +0200

ii (1.3-2) unstable; urgency=low

  * Bump to policy version 3.8.0, no changes needed.
  * Bump compat level and debhelper dependency to 7.
  * Make Homepage a real control field and fix URL.
  * Fix tarball localtion in watch file.

 -- Nico Golde <nion@debian.org>  Tue, 22 Jul 2008 18:54:24 +0200

ii (1.3-1) unstable; urgency=low

  * New upstream release.

 -- Nico Golde <nion@debian.org>  Sat, 14 Jul 2007 20:49:01 +0200

ii (1.2-1) unstable; urgency=low

  * New upstream release.

 -- Nico Golde <nion@debian.org>  Sat, 23 Jun 2007 13:45:51 +0200

ii (1.1-3) unstable; urgency=low

  * FIxed copyright years.

 -- Nico Golde <nion@debian.org>  Sat, 09 Jun 2007 14:39:59 +0200

ii (1.1-2) unstable; urgency=low

  * Handing package over to Nico.

 -- Daniel Baumann <daniel@debian.org>  Mon, 23 Apr 2007 08:42:00 +0200

ii (1.1-1) unstable; urgency=low

  * New upstream release.

 -- Nico Golde <nion@debian.org>  Wed, 04 Apr 2007 10:41:46 +0200

ii (1+fixed-3) unstable; urgency=low

  * Updated Nicos email address.

 -- Daniel Baumann <daniel@debian.org>  Wed, 28 Mar 2007 21:41:00 +0100

ii (1+fixed-2) unstable; urgency=low

  * Updated homepage in control and copyright.

 -- Daniel Baumann <daniel@debian.org>  Wed, 14 Mar 2007 09:45:00 +0100

ii (1+fixed-1) unstable; urgency=low

  * Upstream did change the release tarball again.

 -- Daniel Baumann <daniel@debian.org>  Sat,  3 Feb 2007 21:50:00 +0100

ii (1-1) unstable; urgency=low

  * Initial release (Closes: #340682).

 -- Daniel Baumann <daniel@debian.org>  Sat,  3 Feb 2007 19:08:00 +0100

=== debian/control ===
Source: ii
Section: net
Priority: optional
Maintainer: Nico Golde <nion@debian.org>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.1
Homepage: http://www.suckless.org/programs/ii.html

Package: ii
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: minimalist FIFO and filesystem-based IRC client
 ii (irc it) is a minimalist FIFO and filesystem-based IRC client. It creates an
 irc directory tree with server, channel and nick name directories. In every
 directory a FIFO in file and a normal out file is created.
 .
 The in file is used to communicate with the servers and the out files contain
 the server messages. For every channel and every nick name there are related in
 and out files created. This allows IRC communication from command line and
 adheres to the Unix philosophy.
 .
 It consists of <= 500 lines of code and is the big brother of sic.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: build-stamp
build-stamp:
	dh_testdir

	# Building package
	CFLAGS="$(CFLAGS)" $(MAKE) PREFIX=/usr

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Cleaning package
	[ ! -f Makefile ] || $(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Installing package
	$(MAKE) install DESTDIR=$(CURDIR)/debian/ii PREFIX=/usr
	rm -f =$(CURDIR)/debian/ii/usr/share/doc/ii/CHANGES

	# Removing double files
	rm -f debian/ii/usr/share/doc/ii/LICENSE

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs
	dh_install
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## ii 1.7

=== debian/changelog ===
ii (1.7-2) unstable; urgency=high

  * Enable hardening options.
  * Introduce build-arch and build-indep targets to rules.
  * Fix upstream homepage (Closes: #693116).
  * Do not explicitly include /usr/lib as library search path,
    but just use the default (Closes: #722784).

 -- Nico Golde <nion@debian.org>  Sun, 29 Sep 2013 17:22:44 +0200

ii (1.7-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version (no changes required).
  * debian/control: fix upstream homepage.

 -- Nico Golde <nion@debian.org>  Sat, 05 Jan 2013 17:50:18 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: net
 Priority: optional
 Maintainer: Nico Golde <nion@debian.org>
-Build-Depends: debhelper (>= 7)
-Standards-Version: 3.9.1
-Homepage: http://www.suckless.org/programs/ii.html
+Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.16.1~)
+Standards-Version: 3.9.4
+Homepage: http://tools.suckless.org/ii/
 
 Package: ii
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -3,13 +3,11 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-CFLAGS = -Wall -g
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
+build-arch: build
+build-indep: build
 
 build: build-stamp
 build-stamp:

=== debian/watch ===
version=3
http://code.suckless.org/dl/tools/ii-(.*)\.tar\.gz

## ii 1.8

=== Makefile ===
# See LICENSE file for copyright and license details.
include config.mk

SRC = ii.c strlcpy.c
OBJ = ${SRC:.c=.o}

all: ii

options:
	@echo ii build options:
	@echo "CFLAGS   = ${CFLAGS}"
	@echo "LDFLAGS  = ${LDFLAGS}"
	@echo "CC       = ${CC}"

.o:
	$(LD) -o $@ $< $(LDFLAGS)

.c.o:
	$(CC) -c -o $@ $< $(CFLAGS)

ii: ${OBJ}
	${CC} -o $@ ${OBJ} ${LDFLAGS}

${OBJ}: arg.h

install: all
	mkdir -p ${DESTDIR}${DOCDIR}
	mkdir -p ${DESTDIR}${BINDIR}
	mkdir -p ${DESTDIR}${MAN1DIR}
	install -d ${DESTDIR}${BINDIR} ${DESTDIR}${MAN1DIR}
	install -m 644 CHANGES README FAQ LICENSE ${DESTDIR}${DOCDIR}
	install -m 775 ii ${DESTDIR}${BINDIR}
	sed "s/VERSION/${VERSION}/g" < ii.1 > ${DESTDIR}${MAN1DIR}/ii.1
	chmod 644 ${DESTDIR}${MAN1DIR}/ii.1

uninstall: all
	rm -f ${DESTDIR}${MAN1DIR}/ii.1 \
		${DESTDIR}${BINDIR}/ii
	rm -rf ${DESTDIR}${DOCDIR}

dist: clean
	mkdir -p ii-${VERSION}
	cp -R Makefile CHANGES README FAQ LICENSE strlcpy.c arg.h \
		config.mk ii.c ii.1 ii-${VERSION}
	tar -cf ii-${VERSION}.tar ii-${VERSION}
	gzip ii-${VERSION}.tar
	rm -rf ii-${VERSION}

clean:
	rm -f ii *.o

=== debian/changelog ===
ii (1.8-3+ds) unstable; urgency=medium

  * Fix lintian: package-uses-old-debhelper-compat-version
  * autopkgtest smoke-test is superficial
  * Update Vcs-Git/Browser URL
  * Bump standards version to 4.6.0 (no changes required)
  * Update e-mail address
  * Bump debian/watch version to 4
  * Add Bug-Submit metadata
  * Add Upstream-Contact to d/copyright

 -- itd <itd@net.in.tum.de>  Sat, 13 Nov 2021 22:57:12 +0100

ii (1.8-2) unstable; urgency=medium

  * PATH_MAX may be undefined (e.g. on Hurd)
  * Bump standards version to 4.2.1 (no changes required).

 -- itd <itd@firemail.cc>  Mon, 03 Dec 2018 21:34:53 +0000

ii (1.8-1) unstable; urgency=medium

  * New upstream release (Closes: #890995).
  * Set myself as Maintainer. (Nico Golde has retired. Thanks for your work!)
  * Relicense patches to match upstream's license. (See: #902225)
  * Fix watchfile (upstream URL changed).
  * Bump compat level to 11 and debhelper dependency (>= 11.3.2~).
  * Bump standards version to 4.2.0.
  * Update patch respect_dpkg_buildflags.patch.
  * Update hardening option (requires dpkg-dev >= 1.16.1.1).
  * Switch to machine-readable copyright file.
  * Trivial autopkgtest smoke-test.
  * Switch to HTTPS upstream links.
  * Switch to "dh7" style rules file.
  * Set 'Rules-Requires-Root: no'.
  * Use libbsd-dev's strlcpy(3).

 -- itd <itd@firemail.cc>  Thu, 09 Aug 2018 14:28:03 +0200

=== debian/control ===
Source: ii
Section: net
Priority: optional
Maintainer: itd <itd@net.in.tum.de>
Build-Depends:
 debhelper (>= 13~),
 debhelper-compat (= 13),
 dpkg-dev (>= 1.16.1.1),
 libbsd-dev,
Standards-Version: 4.6.0
Homepage: https://tools.suckless.org/ii/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/ii.git
Vcs-Browser: https://salsa.debian.org/debian/ii

Package: ii
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: minimalist FIFO and filesystem-based IRC client
 ii (irc it) is a minimalist FIFO and filesystem-based IRC client. It creates an
 irc directory tree with server, channel and nick name directories. In every
 directory a FIFO in file and a normal out file is created.
 .
 The in file is used to communicate with the servers and the out files contain
 the server messages. For every channel and every nick name there are related in
 and out files created. This allows IRC communication from command line and
 adheres to the Unix philosophy.
 .
 It consists of <= 1000 lines of code and is the big brother of sic.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr
	rm -f $(CURDIR)/debian/ii/usr/share/doc/ii/LICENSE

=== debian/watch ===
version=4
https://dl.suckless.org/tools/ii-(.*)\.tar\.gz

## ii 2.0

=== Makefile ===
.POSIX:

VERSION = 2.0

# paths
PREFIX    = /usr/local
MANPREFIX = $(PREFIX)/share/man
DOCPREFIX = $(PREFIX)/share/doc

SRC = ii.c
OBJ = $(SRC:.c=.o)

# use system flags.
II_CFLAGS = $(CFLAGS)
II_LDFLAGS = $(LDFLAGS)

# on systems which provide strlcpy(3),
# remove NEED_STRLCPY from CPPFLAGS and
# remove strlcpy.o from LIBS
II_CPPFLAGS = $(CPPFLAGS) -DVERSION=\"$(VERSION)\" -D_DEFAULT_SOURCE -DNEED_STRLCPY
LIBS        = strlcpy.o

all: ii

options:
	@echo ii build options:
	@echo "CFLAGS   = $(CFLAGS)"
	@echo "LDFLAGS  = $(LDFLAGS)"
	@echo "CC       = $(CC)"

.c.o:
	$(CC) -c $< $(II_CFLAGS) $(II_CPPFLAGS)

ii: $(OBJ) $(LIBS)
	$(CC) -o $@ $(OBJ) $(LIBS) $(II_LDFLAGS)

$(OBJ): arg.h

install: all
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	mkdir -p $(DESTDIR)$(MANPREFIX)/man1
	mkdir -p $(DESTDIR)$(DOCPREFIX)/ii
	install -m 644 README FAQ LICENSE $(DESTDIR)$(DOCPREFIX)/ii
	install -m 775 ii $(DESTDIR)$(PREFIX)/bin
	sed "s/VERSION/$(VERSION)/g" < ii.1 > $(DESTDIR)$(MANPREFIX)/man1/ii.1
	chmod 644 $(DESTDIR)$(MANPREFIX)/man1/ii.1

uninstall: all
	rm -f $(DESTDIR)$(MANPREFIX)/man1/ii.1 $(DESTDIR)$(PREFIX)/bin/ii
	rm -rf $(DESTDIR)$(DOCPREFIX)/ii

dist: clean
	mkdir -p ii-$(VERSION)
	cp -R Makefile README FAQ LICENSE strlcpy.c arg.h \
		ii.c ii.1 ii-$(VERSION)
	tar -cf - ii-$(VERSION) | gzip -c > ii-$(VERSION).tar.gz
	rm -rf ii-$(VERSION)

clean:
	rm -f ii *.o

=== debian/changelog ===
ii (2.0-1) unstable; urgency=medium

  * New upstream version 2.0

 -- itd <itd@net.in.tum.de>  Sat, 16 Mar 2024 18:23:51 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Priority: optional
 Maintainer: itd <itd@net.in.tum.de>
 Build-Depends:
- debhelper (>= 13~),
  debhelper-compat (= 13),
- dpkg-dev (>= 1.16.1.1),
  libbsd-dev,
-Standards-Version: 4.6.0
+ pkgconf,
+Standards-Version: 4.6.2
 Homepage: https://tools.suckless.org/ii/
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/ii.git

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,14 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
+
+-include /usr/share/dpkg/buildtools.mk
+PKG_CONFIG ?= pkg-config
+export PKG_CONFIG
+
+# make strlcpy available
+CFLAGS  += $(shell $(PKG_CONFIG) --cflags libbsd-overlay)
+LDFLAGS += $(shell $(PKG_CONFIG) --libs libbsd-overlay)
 
 %:
 	dh $@

=== debian/watch ===
version=4
opts=\
repacksuffix=+ds,\
repack,compression=xz,\
dversionmangle=auto \
https://dl.suckless.org/tools/ii-(.*)\.tar\.gz

## ii slide-0.1.2

=== requirements.txt ===
fastapi==0.104.1
uvicorn[standard]==0.24.0
websockets==12.0
pydantic==2.5.0
watchdog==3.0.0
python-multipart==0.0.6
